STTY(3)

NAME
stty, gtty - set and get terminal state (defunct)

SYNOPSIS
#include <sgtty.h>
int
stty(int fd, struct sgttyb *buf);
int
gtty(int fd, struct sgttyb *buf);

DESCRIPTION
These interfaces are obsoleted by ioctl(2). They are available from the compatibility library, libcompat.

The stty() function sets the state of the terminal associated with fd. The gtty() function retrieves the state of the terminal associated with fd. To set the state of a terminal the call must have write permission.

The stty() call is actually ‘ioctl(fd, TIOCSETP, buf)’, while the gtty() call is ‘ioctl(fd, TIOCGETP, buf)’. See ioctl(2) and tty(4) for an explanation.

DIAGNOSTICS
If the call is successful 0 is returned, otherwise -1 is returned and the global variable errno contains the reason for the failure.

SEE ALSO
ioctl(2), tty(4)

HISTORY
The stty() and gtty() functions appeared in 4.2BSD.